CREATE TABLE fun_docio_al_artifacts (
    ARTIFACT_ID               NUMBER(18, 0),
    TRANSFORM_DOCUMENT_ID     NUMBER(18, 0)    NOT NULL,
    PREDICT_JSON              BLOB         ,
    DOC_LOGO                  BLOB         ,
    DOC_ORIGINAL              BLOB         ,
    DOC_XML                   BLOB         ,
    FINGERPRINT_ID            NUMBER(18, 0)    NOT NULL,
    ARTIFACT_LEARNING_MODE    VARCHAR2(120)    NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    ARTIFACT_ID               NUMBER(18, 0),
    TRANSFORM_DOCUMENT_ID     NUMBER(18, 0)    NOT NULL,
    PREDICT_JSON              BLOB         ,
    DOC_LOGO                  BLOB         ,
    DOC_ORIGINAL              BLOB         ,
    DOC_XML                   BLOB         ,
    FINGERPRINT_ID            NUMBER(18, 0)    NOT NULL,
    ARTIFACT_LEARNING_MODE    VARCHAR2(120)    NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_fun_docio_al_artifacts PRIMARY KEY (ARTIFACT_ID, ARTIFACT_ID)
);
